Subject: Re: [PATCH v2 0/2] Add new "signature" atom

From: Junio C Hamano <[email-masked]>
Date: Fri, 02 Jun 2023 16:29:34 +0900

Kousik Sanagavarapu <[email-masked]> writes:

> I have also rebased this to be on top of v2.41.0, the previous version
> was on top of v2.41.0-rc0.

I am still feverish and feeling weak so no real review from me yet,
but there is one thing that immediately jumped at me.

> Range-diff against v1:
>
> 1:  5c97d11b79 ! 1:  87465ef1a8 t/lib-gpg: introduce new prereq GPG2
>     @@ t/lib-gpg.sh: test_lazy_prereq GPG '
>      +  test $? != 127 || exit 1
>      +
>      +  case "$gpg_version" in
>     -+  !"gpg (GnuPG) 2."*)
>     ++  "gpg (GnuPG) 0."* | "gpg (GnuPG) 1.*")

The last '*' being inside double-quote would not be what you
intended, I suspect?